One alternate schema:
---
create sequence sessions_sqx ;

create table zope_sessions 
( zsession_id NUMBER(38) PRIMARY KEY,
  zsession_name varchar(40) UNIQUE NOT NULL,
  start_time DATE,
  end_time DATE )  ;

create unique index idx_sessions_name on zope_sessions(zsession_name) ;

create table zope_session_data
( zsession_id NUMBER(38) 
	CONSTRAINT fk_sess_d_id REFERENCES zope_sessions(zsession_id),
  zname varchar(200),
  zvalue varchar(4000)  ) ;

alter table zope_session_data add primary key (zsession_id, zname) ;


SELECT d.zname as zname,
       d.zvalue as zvalue,
 FROM zope_session_data d, zope_sessions s
WHERE 
<dtml-sqltest session column=s.zsession_name type=string>
AND
s.zsession_id = d.zsession_id 
<dtml-if name>
AND <dtml-sqltest name column=d.zname type=string>
</dtml-if name>

SELECT d.zname as zname,
       d.zvalue as zvalue
 FROM zope_session_data d, zope_sessions s
WHERE 
s.zsession_name = '438759435'
AND
s.zsession_id = d.zsession_id 
AND d.zname = '4i75o3457'


A differenct schema:
----
drop sequence ZSessions_sqx ;
create sequence ZSessions_sqx ;

drop TABLE ZSessions ;

CREATE TABLE ZSessions (
  zsession_name varchar(40) UNIQUE NOT NULL,
  zsession_id number(38) UNIQUE NOT NULL,
  start_time DATE,
  end_time DATE
);

drop TABLE ZSession_data ;

CREATE TABLE ZSession_data (
  zsession_id number(38) 
	    CONSTRAINT fk_session_data_id 
	    REFERENCES ZSessions(zsession_id) NOT NULL,
  zname varchar(200) NOT NULL,
  zvalue varchar(4000)
);

